<?php 
/**
 * 文章归档页面
 */
if(!defined('EMLOG_ROOT')) {exit('error!');} 
?>
<div class="uk-width-small-1-1 uk-width-medium-3-4 uk-width-large-7-10">
			<div id="index" class="bs uk-text-break">
					<h4><i class="uk-icon-file-text"></i> <?php echo $log_title; ?></h4>
            			<article id="article" class="uk-article" style="display: block;padding-top:10px;">
					    	<ul class="singlenav uk-breadcrumb">
					    		<li><i class="uk-icon-calendar"></i> <?php echo gmdate('Y-n-j', $date); ?></li>
					    		<li><i class="uk-icon-heart-o"></i> <?php blog_author($author); ?></li>
					    		<li><span class="toggler">折叠归档</span></li>
					    	</ul>
						    <p><?php echo $log_content; ?></p>
			<?php
			function displayRecord(){
				global $CACHE; 
				$record_cache = $CACHE->readCache('record');
				$output = '';
				foreach($record_cache as $value){
					$output .= '<h4>'.$value['record'].'</h4>'.displayRecordItem($value['date']);
				}
				$output = '<div class="archives">'.$output.'</div>';
				return $output;
			}
			function displayRecordItem($record){
				if (preg_match("/^([\d]{4})([\d]{2})$/", $record, $match)) {
					$days = getMonthDayNum($match[2], $match[1]);
					$record_stime = emStrtotime($record . '01');
					$record_etime = $record_stime + 3600 * 24 * $days;
				} else {
					$record_stime = emStrtotime($record);
					$record_etime = $record_stime + 3600 * 24;
				}
				$sql = "and date>=$record_stime and date<$record_etime order by top desc ,date desc";
				$result = archiver_db($sql);
				return $result;
			}
			function archiver_db($condition = ''){
				$DB = MySql::getInstance();
				$sql = "SELECT gid, title, date, views FROM " . DB_PREFIX . "blog WHERE type='blog' and hide='n' $condition";
				$result = $DB->query($sql);
				$output = '';
				while ($row = $DB->fetch_array($result)) {
					$log_url = Url::log($row['gid']);
					if($row['views']>_g('hot')){$output .= '<li class="goodwork"><a title="热门文章" href="'.$log_url.'"><span>'.date('m月d日',$row['date']).'</span><div class="atitle">'.$row['title'].'</div></a></li>';}
					else{$output .= '<li><a href="'.$log_url.'"><span>'.date('m月d日',$row['date']).'</span><div class="atitle">'.$row['title'].'</div></a></li>';}
				}
				$output = empty($output) ? '<li>暂无文章</li>' : $output;
				$output = '<ul>'.$output.'</ul>';
				return $output;
			}
			echo displayRecord();
			?>
						</article>
						<?php if($allow_remark == 'y'): ?>
						    <div id="comments" style="display: block;">
						        <?php if(_g('open_ds')=='y'):?>
						        <div class="ds-thread" data-thread-key="<?php echo $logid;?>" data-title="<?php echo $log_title; ?>" data-url="<?php echo $log_url; ?>"></div>
						        <?php else:?>
								<?php blog_comments_post($logid,$ckname,$ckmail,$ckurl,$verifyCode,$allow_remark); ?>
								<?php blog_comments($comments,$params); ?>
								<?php endif;?>
                            </div>
						<?php endif;?>
	<!-- Comment Form -->
							</div>
            		</div>
<?php
 include View::getView('side');
 include View::getView('footer');
?>
