<?php 
/**
 * Faded核心模块
 */
if(!defined('EMLOG_ROOT')) {exit('error!');} 
?>
<?php
function count_log_all(){
	$db = MySql::getInstance();
	$data = $db->once_fetch_array("SELECT COUNT(*) AS total FROM " . DB_PREFIX . "blog WHERE type = 'blog'");
	return $data['total'];
}
function count_sort_all(){
	$db = MySql::getInstance();
	$data = $db->once_fetch_array("SELECT COUNT(*) AS total FROM " . DB_PREFIX . "sort");
	return $data['total'];
}
function count_tag_all(){
	$db = MySql::getInstance();
	$data = $db->once_fetch_array("SELECT COUNT(*) AS total FROM " . DB_PREFIX . "tag");
	return $data['total'];
}
function count_link_all(){
	$db = MySql::getInstance();
	$data = $db->once_fetch_array("SELECT COUNT(*) AS total FROM " . DB_PREFIX . "link");
	return $data['total'];
}
function em_compress_html_main($buffer){
    $initial=strlen($buffer);
    $buffer=explode("<!--em-compress-html-->", $buffer);
    $count=count ($buffer);
    for ($i = 0; $i <= $count; $i++){
        if (stristr($buffer[$i], '<!--em-compress-html no compression-->')){
            $buffer[$i]=(str_replace("<!--em-compress-html no compression-->", " ", $buffer[$i]));
        }else{
            $buffer[$i]=(str_replace("\t", " ", $buffer[$i]));
            $buffer[$i]=(str_replace("\n\n", "\n", $buffer[$i]));
            $buffer[$i]=(str_replace("\n", "", $buffer[$i]));
            $buffer[$i]=(str_replace("\r", "", $buffer[$i]));
            while (stristr($buffer[$i], '  '))
            {
            $buffer[$i]=(str_replace("  ", " ", $buffer[$i]));
            }
        }
        $buffer_out.=$buffer[$i];
    }
    $final=strlen($buffer_out);
    $savings=($initial-$final)/$initial*100;
    $savings=round($savings, 2);
    $buffer_out.="\n<!--压缩前的大小: $initial bytes; 压缩后的大小: $final bytes; 节约：$savings% -->";
    return $buffer_out;
}
function unCompress($content){
    if(preg_match_all('/(crayon-|<\/pre>)/i', $content, $matches)) {
        $content = '<!--em-compress-html--><!--em-compress-html no compression-->'.$content;
        $content.= '<!--em-compress-html no compression--><!--em-compress-html-->';
    }
    return $content;
}
function pjax_url($id){ 
if ($id){echo '<link rel="canonical" href="'.Url::log($id)."\" />";}
}
function ClearHtml($content) {  
   $preg = "/<\/?[^>]+>/i";
   return preg_replace($preg,'',$content);
}
function neirong_tag($blogid){
	global $CACHE;
	$log_cache_tags = $CACHE->readCache('logtags');
	if (!empty($log_cache_tags[$blogid])){
		foreach ($log_cache_tags[$blogid] as $value){
			$tag .= "<a class=\"label fcolor\" href=\"".Url::tag($value['tagurl'])."\"> ".$value['tagname'].'</a>';
		}
		return $tag;
	}
}
function get_ip($commentip){
	$ip = @file_get_contents("http://int.dpool.sina.com.cn/iplookup/iplookup.php?format=js&ip=".$commentip."");
	$gs=json_decode(ltrim(rtrim($ip, ";"), "var remote_ip_info = "),true);
	echo $gs['country'].' '.$gs['province'].' '.$gs['city'];
}
function Faded_page($count,$perlogs,$page,$url,$anchor=''){
$pnums = @ceil($count / $perlogs);
$page = @min($pnums,$page);
$prepg=$page-1;
$nextpg=($page==$pnums ? 0 : $page+1);
$urlHome = preg_replace("|[\?&/][^\./\?&=]*page[=/\-]|","",$url);
$re = "";
if($pnums<=1) return false;		
if($page!=1) $re .=" <li class='uk-active'><a href=\"$urlHome$anchor\">首页</a></li> "; 
if($prepg) $re .=" <li class='uk-active'><a href=\"$url$prepg$anchor\" >«</a></li> ";
for ($i = $page-2;$i <= $page+2 && $i <= $pnums; $i++){
if ($i > 0){if ($i == $page){$re .= " <li class='uk-active'><span>$i</span></li>";
}elseif($i == 1){$re .= " <li class='uk-active'><a href=\"$urlHome$anchor\">$i</a></li>";
}else{$re .= " <li><a href=\"$url$i$anchor\">$i</a></li> ";}
}}
if($nextpg) $re .=" <li class='uk-active'><a href=\"$url$nextpg$anchor\">»</a></li> "; 
if($page!=$pnums) $re.=" <li><a href=\"$url$pnums$anchor\" title=\"尾页\">尾页</a></li>";
return $re;
}
function calendar() {
	$DB = Database::getInstance();
	$timezone = Option::get('timezone');
	$timestamp = time() + $timezone * 3600;
	
	$query = $DB->query("SELECT date FROM ".DB_PREFIX."blog WHERE hide='n' and checked='y' and type='blog'");
	while ($date = $DB->fetch_array($query)) {
		$logdate[] = gmdate("Ymd", $date['date'] + $timezone * 3600);
	}
	$n_year  = gmdate("Y", $timestamp);
	$n_year2 = gmdate("Y", $timestamp);
	$n_month = gmdate("m", $timestamp);
	$n_day   = gmdate("d", $timestamp);
	$time    = gmdate("Ymd", $timestamp);
	$year_month = gmdate("Ym", $timestamp);
	
	if (isset($_GET['record'])) {
		$n_year = substr(intval($_GET['record']),0,4);
		$n_year2 = substr(intval($_GET['record']),0,4);
		$n_month = substr(intval($_GET['record']),4,2);
		$year_month = substr(intval($_GET['record']),0,6);
	}
	
	$m  = $n_month - 1;
	$mj = $n_month + 1;
	$m  = ($m < 10) ? '0' . $m : $m;
	$mj = ($mj < 10) ? '0' . $mj : $mj;
	$year_up = $n_year;
	$year_down = $n_year;
	if ($mj > 12) {
		$mj = '01';
		$year_up = $n_year + 1;
	}
	if ( $m < 1) {
		$m = '12';
		$year_down = $n_year - 1;
	}
	$url = DYNAMIC_BLOGURL.'?action=cal&record=' . ($n_year - 1) . $n_month;
	$url2 = DYNAMIC_BLOGURL.'?action=cal&record=' . ($n_year + 1) . $n_month;
	$url3 = DYNAMIC_BLOGURL.'?action=cal&record=' . $year_down . $m;
	$url4 = DYNAMIC_BLOGURL.'?action=cal&record=' . $year_up . $mj;

	$calendar ="<table id=\"calendar\"><caption>{$n_year2}年{$n_month}月</caption><thead><tr><th scope=\"col\" title=\"星期一\">一</th><th scope=\"col\" title=\"星期二\">二</th><th scope=\"col\" title=\"星期三\">三</th><th scope=\"col\" title=\"星期四\">四</th><th scope=\"col\" title=\"星期五\">五</th><th scope=\"col\" title=\"星期六\">六</th><th scope=\"col\" title=\"星期日\">日</th></tr></thead><tbody>";
		
	$week = @gmdate("w",gmmktime(0,0,0,$n_month,1,$n_year));
	$lastday = @gmdate("t",gmmktime(0,0,0,$n_month,1,$n_year));
	$lastweek = @gmdate("w",gmmktime(0,0,0,$n_month,$lastday,$n_year));
	if ($week == 0) {
		$week = 7;
	}
	$j = 1;
	$w = 7;
	$isend = false;
	for ($i = 1;$i <= 6;$i++) {
		if ($isend || ($i == 6 && $lastweek==0)) {
			break;
		}
		$calendar .= '<tr>';
		for ($j ; $j <= $w; $j++) {
			if ($j < $week) {
				$calendar.= '<td>&nbsp;</td>';
			} elseif ( $j <= 7 ) {
				$r = $j - $week + 1;
				$n_time = $n_year . $n_month . '0' . $r;
				if (@in_array($n_time,$logdate) && $n_time == $time) {
					$calendar .= '<td id="today">'. $r .'</td>';
				} elseif (@in_array($n_time,$logdate)) {
					$calendar .= '<td>'. $r .'</td>';
				} elseif ($n_time == $time) {
					$calendar .= '<td id="today">'. $r .'</td>';
				} else {
					$calendar.= '<td>'. $r .'</td>';
				}
			} else {
				$t = $j - ($week - 1);
				if ($t > $lastday) {
					$isend = true;
					$calendar .= '<td>&nbsp;</td>';
				} else {
					$t < 10 ? $n_time = $n_year . $n_month . '0' . $t : $n_time = $n_year . $n_month . $t;
					if (@in_array($n_time,$logdate) && $n_time == $time) {
						$calendar .= '<td id="today">'. $t .'</td>';
					} elseif(@in_array($n_time,$logdate)) {
						$calendar .= '<td>'. $t .'</td>';
					} elseif($n_time == $time) {
						$calendar .= '<td id="today">'. $t .'</td>';
					} else {
						$calendar .= '<td>'.$t.'</td>';
					}
				}
			}
		}
		$calendar .= '</tr>';
		$w += 7;
	}
	$calendar .= '</tbody></table>';
	echo $calendar;
}
?>
